#include<iostream>
using namespace std;
int main(){
char cd;
char word[1000];
string space[1000];
int i = 0;
for(i = 0; i < 1000; i++){
    cin >> word[i];
    if(word[i] == ' '){
        word[i] = char(32);
    }
    if(word[i] == 'd'){
        cd = 'd';
        break;
    }
    if(word[i] == 'c'){
        cd = 'c';
        break;
    }
}
if(cd == 'd'){
    for(int j = 0; j < i; j++){
        if(word[j] == 'a' && word[j] == 'f' && word[j] == 'a') cout << "a";
        else if(word[j] == 'e' && word[j + 1] == 'f' && word[j + 2] == 'e') {cout << "e"; j += 2;}
        else if(word[j] == 'i' && word[j + 1] == 'f' && word[j + 2] == 'i') {cout << "i"; j += 2;}
        else if(word[j] == 'o' && word[j + 1] == 'f' && word[j + 2] == 'o') {cout << "o"; j += 2;}
        else if(word[j] == 'u' && word[j + 1] == 'f' && word[j + 2] == 'u') {cout << "u"; j += 2;}
        else if(word[j] == 'y' && word[j + 1] == 'f' && word[j + 2] == 'y') {cout << "y";j += 2;}
        else if(word[j] == 'A' && word[j + 1] == 'f' && word[j + 2] == 'A') {cout << "A";j += 2;}
        else if(word[j] == 'E' && word[j + 1] == 'f' && word[j + 2] == 'E') {cout << "E";j += 2;}
        else if(word[j] == 'I' && word[j + 1] == 'f' && word[j + 2] == 'I') {cout << "I";j += 2;}
        else if(word[j] == 'O' && word[j + 1] == 'f' && word[j + 2] == 'O') {cout << "O";j += 2;}
        else if(word[j] == 'U' && word[j + 1] == 'f' && word[j + 2] == 'U') {cout << "U";j += 2;}
        else if(word[j] == 'Y' && word[j + 1] == 'f' && word[j + 2] == 'Y'){ cout << "Y";j += 2;}
        else if(word[j] == ' ') cout << " ";
        else cout << word[j];
    }
}
else if(cd == 'c'){
    for(int j = 0; j < i; j++){
        if(word[j] == 'a') cout << "afa";
        else if(word[j] == 'e') cout << "efe";
        else if(word[j] == 'i') cout << "ifi";
        else if(word[j] == 'o') cout << "ofo";
        else if(word[j] == 'u') cout << "ufu";
        else if(word[j] == 'y') cout << "yfy";
        else if(word[j] == 'A') cout << "AfA";
        else if(word[j] == 'E') cout << "EfE";
        else if(word[j] == 'I') cout << "IfI";
        else if(word[j] == 'O') cout << "OfO";
        else if(word[j] == 'U') cout << "UfU";
        else if(word[j] == 'Y') cout << "YfY";
        else if(word[j] == ' ') cout << " ";
        else cout << word[j];
    }
}


return 0;
}
